hf-volume
3
HAL Library

# hf-volume

## Synopsis

    extern      HFHandler hf_volume_handler;
    HalDevice*  hf_volume_device_add            (HalDevice *parent,
                                                 HalDevice *storage_device,
                                                 gboolean has_children,
                                                 gboolean is_swap,
                                                 const char *devname,
                                                 dbus_int64_t partition_offset,
                                                 dbus_int64_t partition_size);

## Description

## Details

### hf_volume_handler

    extern HFHandler hf_volume_handler;

### hf_volume_device_add ()

    HalDevice*  hf_volume_device_add            (HalDevice *parent,
                                                 HalDevice *storage_device,
                                                 gboolean has_children,
                                                 gboolean is_swap,
                                                 const char *devname,
                                                 dbus_int64_t partition_offset,
                                                 dbus_int64_t partition_size);

`parent` :

`storage_device` :

`has_children` :

`is_swap` :

`devname` :

`partition_offset` :

`partition_size` :

Returns :